Skip to main content
POST
/
task
/
updateTaskParameters
Update Task Parameters
curl --request POST \
  --url https://openapi.octoparse.com/task/updateTaskParameters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taskId": "<string>",
  "actions": [
    {
      "actionType": "<string>",
      "actionId": "<string>",
      "properties": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "loopItems": {
        "actionId": "<string>",
        "loopType": "<string>",
        "loopItems": [
          "<string>"
        ],
        "isAppend": true
      }
    }
  ]
}
'
{
  "data": {
    "taskId": "<string>",
    "updatedParameters": {}
  },
  "requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Use the access_token obtained from POST /token

Body

application/json
taskId
string
required
actions
object[]
required

Response

200 - application/json

Task parameters updated

data
object
requestId
string